> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tranthor.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get journey stats

> Retrieve stats regarding one or more journey's performance.



## OpenAPI

````yaml get /api/admin/journeys/stats
openapi: 3.1.0
info:
  title: Tranthor API
  description: Tranthor API Swagger Documentation
  version: 0.0.1
servers: []
security: []
paths:
  /api/admin/journeys/stats:
    get:
      tags:
        - Journeys
      description: Retrieve stats regarding one or more journey's performance.
      parameters:
        - schema:
            type: string
          in: query
          name: workspaceId
          required: true
        - schema:
            type: array
            items:
              type: string
          in: query
          name: journeyIds
          required: false
      responses:
        '200':
          description: Default Response
          content:
            application/json:
              schema:
                type: array
                items:
                  type: object
                  properties:
                    journeyId:
                      type: string
                    workspaceId:
                      type: string
                    nodeStats:
                      type: object
                      additionalProperties:
                        anyOf:
                          - type: object
                            properties:
                              sendRate:
                                type: number
                              channelStats:
                                anyOf:
                                  - type: object
                                    properties:
                                      type:
                                        const: Email
                                        type: string
                                      deliveryRate:
                                        type: number
                                      openRate:
                                        type: number
                                      clickRate:
                                        type: number
                                      spamRate:
                                        type: number
                                      unsubscribeRate:
                                        type: number
                                    required:
                                      - type
                                      - deliveryRate
                                      - openRate
                                      - clickRate
                                      - spamRate
                                      - unsubscribeRate
                                  - type: object
                                    properties:
                                      type:
                                        const: Sms
                                        type: string
                                      deliveryRate:
                                        type: number
                                      failRate:
                                        type: number
                                    required:
                                      - type
                                      - deliveryRate
                                  - type: object
                                    properties:
                                      type:
                                        const: Webhook
                                        type: string
                                      stats:
                                        type: object
                                        patternProperties:
                                          ^(.*)$:
                                            type: number
                                    required:
                                      - type
                                      - stats
                                  - type: object
                                    properties:
                                      type:
                                        const: Whatsapp
                                        type: string
                                      deliveryRate:
                                        type: number
                                      readRate:
                                        type: number
                                      failRate:
                                        type: number
                                    required:
                                      - type
                                      - deliveryRate
                                      - failRate
                                  - type: object
                                    properties:
                                      type:
                                        const: MobilePush
                                        type: string
                                      deliveryRate:
                                        type: number
                                      openRate:
                                        type: number
                                      failRate:
                                        type: number
                                      failReasons:
                                        type: object
                                        patternProperties:
                                          ^(.*)$:
                                            type: number
                                      sentCount:
                                        type: number
                                      deliveredCount:
                                        type: number
                                      openedCount:
                                        type: number
                                      failedCount:
                                        type: number
                                      skipReasons:
                                        type: object
                                        patternProperties:
                                          ^(.*)$:
                                            type: number
                                      platforms:
                                        type: object
                                        properties:
                                          android:
                                            type: object
                                            properties:
                                              sent:
                                                type: number
                                              delivered:
                                                type: number
                                            required:
                                              - sent
                                              - delivered
                                          ios:
                                            type: object
                                            properties:
                                              sent:
                                                type: number
                                              delivered:
                                                type: number
                                            required:
                                              - sent
                                              - delivered
                                        required:
                                          - android
                                          - ios
                                    required:
                                      - type
                                      - deliveryRate
                                      - openRate
                                      - failRate
                                      - failReasons
                                      - sentCount
                                      - deliveredCount
                                      - openedCount
                                      - failedCount
                                      - skipReasons
                              targetedCount:
                                type: number
                              type:
                                const: MessageNodeStats
                                type: string
                              processedCount:
                                type: number
                              proportions:
                                type: object
                                properties:
                                  childEdgePercent:
                                    type: number
                                  childEdgeCount:
                                    type: number
                                required:
                                  - childEdgePercent
                                  - childEdgeCount
                            required:
                              - type
                              - processedCount
                              - proportions
                          - type: object
                            properties:
                              type:
                                const: DelayNodeStats
                                type: string
                              processedCount:
                                type: number
                              proportions:
                                type: object
                                properties:
                                  childEdgePercent:
                                    type: number
                                  childEdgeCount:
                                    type: number
                                required:
                                  - childEdgePercent
                                  - childEdgeCount
                            required:
                              - type
                              - processedCount
                              - proportions
                          - type: object
                            properties:
                              type:
                                const: WaitForNodeStats
                                type: string
                              processedCount:
                                type: number
                              proportions:
                                type: object
                                properties:
                                  segmentChildEdgePercent:
                                    type: number
                                  segmentChildEdgeCount:
                                    type: number
                                  timeoutChildEdgePercent:
                                    type: number
                                  timeoutChildEdgeCount:
                                    type: number
                                required:
                                  - segmentChildEdgePercent
                                  - segmentChildEdgeCount
                                  - timeoutChildEdgePercent
                                  - timeoutChildEdgeCount
                            required:
                              - type
                              - processedCount
                              - proportions
                          - type: object
                            properties:
                              type:
                                const: SegmentSplitNodeStats
                                type: string
                              processedCount:
                                type: number
                              proportions:
                                type: object
                                properties:
                                  falseChildEdgePercent:
                                    type: number
                                  falseChildEdgeCount:
                                    type: number
                                  trueChildEdgePercent:
                                    type: number
                                  trueChildEdgeCount:
                                    type: number
                                required:
                                  - falseChildEdgePercent
                                  - falseChildEdgeCount
                                  - trueChildEdgePercent
                                  - trueChildEdgeCount
                            required:
                              - type
                              - processedCount
                              - proportions
                          - type: object
                            properties:
                              type:
                                const: RateLimitNodeStats
                                type: string
                              processedCount:
                                type: number
                              proportions:
                                type: object
                                properties:
                                  childEdgePercent:
                                    type: number
                                  childEdgeCount:
                                    type: number
                                required:
                                  - childEdgePercent
                                  - childEdgeCount
                            required:
                              - type
                              - processedCount
                              - proportions
                          - type: object
                            properties:
                              type:
                                const: ExperimentSplitNodeStats
                                type: string
                              processedCount:
                                type: number
                              proportions:
                                type: object
                                properties:
                                  variantEdges:
                                    type: object
                                    patternProperties:
                                      ^(.*)$:
                                        type: object
                                        properties:
                                          percent:
                                            type: number
                                          count:
                                            type: number
                                        required:
                                          - percent
                                          - count
                                required:
                                  - variantEdges
                            required:
                              - type
                              - processedCount
                              - proportions
                    totalEntries:
                      type: number
                    targetedUsers:
                      type: number
                    completions:
                      type: number
                    inFlight:
                      type: number
                  required:
                    - journeyId
                    - workspaceId
                    - nodeStats
                    - totalEntries
                    - targetedUsers
                    - completions
                    - inFlight
      security:
        - adminApiKey: []
components:
  securitySchemes:
    adminApiKey:
      type: http
      scheme: bearer
      description: >-
        An Admin API key, sent as `Authorization: Bearer <key>`. Create one in
        Settings.

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.